commit 9202c49e1b50db147769c08359acbef588d521a3
Author: Iain Sandoe <iain@sandoe.co.uk>
Date:   Mon Apr 17 10:23:16 2023 +0100

    libsanitizer, darwin: Unsupport Darwin >= 22 for now.
    
    The mechanism for location dyld has altered from Darwin22 since dyld is now
    in the shared cache.  The implemented mechanism for walking the cache uses
    Apple Blocks which GCC does not yet support, and the fallback to the original
    mechanism does not work there.
    
    Until a suitable work-around can be found, unsupport Darwin22+.
    
            Signed-off-by: Iain Sandoe <iain@sandoe.co.uk>
    
    libsanitizer/ChangeLog:
    
            * configure.tgt: Unsupport Darwin22+ until a mechanism can be found
            to locate dyld in the shared cache.
    
    (cherry picked from commit e722a1f42b28092c9f709a3f758fc4fe57db32b0)

diff --git a/libsanitizer/configure.tgt b/libsanitizer/configure.tgt
index fa30065b595..ef446011912 100644
--- a/libsanitizer/configure.tgt
+++ b/libsanitizer/configure.tgt
@@ -60,7 +60,7 @@ case "${target}" in
 		TSAN_TARGET_DEPENDENT_OBJECTS=tsan_rtl_aarch64.lo
 	fi
 	;;
-  x86_64-*-darwin2* | x86_64-*-darwin1[2-9]* | i?86-*-darwin1[2-9]*)
+  x86_64-*-darwin2[01]* | x86_64-*-darwin1[2-9]* | i?86-*-darwin1[2-9]*)
 	TSAN_SUPPORTED=no
 	EXTRA_CXXFLAGS+="-Wl,-undefined,dynamic_lookup"
 	;;

